package com.hzs.system.login.service;

import com.hzs.system.sys.dto.LoginUser;

/**
 * 服务员登录/登出服务
 */
public interface IUserLoginService {

    /**
     * 登录
     *
     * @param userName 用户名
     * @param password 密码
     * @param smsCode  短信验证码
     * @return
     */
    LoginUser login(String userName, String password, String smsCode);

    /**
     * 秒密登录
     *
     * @param userName 用户名
     * @return
     */
    LoginUser freeLogin(String userName);

    /**
     * 登出
     *
     * @param userName 用户名
     */
    void logout(String userName);

    /**
     * 清除数据权限
     *
     * @param userId 会员ID
     */
    void clearAccessPermissions(Long userId);

}
